var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B5405D51-E4D7-4448-9588-8D06B8735783\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: autosave</h1></div><p>This interface provides access to the Auto Backup functionality.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">autosave.Enable : boolean : Read|Write      </code></pre><p>Get/Set the Autobackup enabled state. Equivalent to the System Global variable <code>autobackup.enabled</code> .  The state of this property is persisted between 3ds Max sessions.  See also <code>autosave.tempDisable</code> below.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">autosave.NumberOfFiles : integer : Read|Write   </code></pre><p>Get/Set the number of Autobackup files. Possible values are between 1 and 99.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">autosave.Interval : integer : Read|Write|Validated by Range: 0 to 480</code></pre><p>Get/Set the Autobackup interval in minutes.  </p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> In <strong>3ds Max 2023</strong> this property changed from a float to an integer with an enforced range.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">autosave.filename : string : Read|Write </code></pre><p>Get/Set the Autobackup filename as a string. Default is &quot;AutoBackup&quot;.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">.prependSceneName : boolean : Read|Write</code></pre><p>Get/Set whether to prepend the scene name to the autobackup file name.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">autosave.BailoutEnabled : boolean : Read|Write</code></pre><p>When set to false, 3ds Max cannot escape out of Autobackup.  In some cases setting this to false can significantly improve Autobackup performance.  Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">.finalCountdownInterval : float : Read|Write|Validated by Range: 0.0 to 480.0</code></pre><p>Specifies a time (in minutes) at which the autobackup timer will pause if it detects user activity. For example, if this is set to .33 minutes/20 seconds (the default), and the user is doing something at the 20 second mark of the countdown timer, the timer pauses until the user activity ends.  If This property is set to 0, user activity detection is disabled.</p>\n\
<p>Alternatively, this is the amount of time needed to recover before listening to Europe&apos;s &quot;Final Countdown&quot; again.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">.Compress : boolean : Read|Write</code></pre><p>Specifies whether autobackup files are compressed.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">.tempDisable : boolean : Read|Write</code></pre><p>When <code>true</code>, temporarily disables autobackup.  When <code>.tempDisable</code> is false, <code>canProceed()</code> returns true.  If this property is set to <code>true</code> multiple times, it must be set to <code>false</code> an equal number of times to re-enable autobackup.  </p>\n\
<p>Use this property instead of <code>autosave.enable</code> if you do not want the setting to persist between 3ds Max sessions.  Modifying this property also does not cause a UI update.  </p>\n\
<p>For example:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">autosave.tempDisable = true\n\
...\n\
autosave.tempDisable = true\n\
...\n\
autosave.tempDisable = false\n\
... (autobackup still disabled here)\n\
autosave.tempDisable = false\n\
... (autobackup is re-enabled here)</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;autosave.resettimer() </code></pre><p>Resets the Autobackup timer. After the rest, the next save will occur after the number of minutes specified by the <code>.interval</code> property.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;secondsUntilNextAttempt()</code></pre><p>Returns the number of seconds until the next backup attempt.  When this decreases to 0, and <code>canProceed()</code> returns true, the backup process can proceed. When the autobackup timer is not started this function returns -1. Available in <strong>in 3ds Max 2022.2 Update</strong> and later.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;canProceed()</code></pre><p>Returns true if autobackup can proceed based on the current state.  Note that the state can change.  Autobackup proceeds if <code>secondsUntilNextAttempt()</code> returns 0, and <code>canProceed()</code> returns true. Available in <strong>in 3ds Max 2022.2 Update</strong> and later.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isRequired()</code></pre><p>  Returns true if the internal &quot;autobackup required&quot; flag is set.  This is similar to the <code>getSaveRequired()</code> function. Available in <strong>in 3ds Max 2022.2 Update</strong> and later.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;autosave.isactive() </code></pre><p>Returns true if the Autobackup is currently saving, false otherwise.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;autobackupnow()</code></pre><p>Starts the Autobackup process. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;loadSettings()</code></pre><p>Loads autobackup settings from the 3ds Max settings file (<em>3dsmax.ini</em>).  This will overwrite any changes that have been made to the current settings.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;saveSettings()</code></pre><p>Saves the current autobackup settings to the 3ds Max settings file (<em>3dsmax.ini</em>).</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../A.html\">A</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/Controlling-the-Autobackup.html\">Controlling the Autobackup</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";