var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A5F6DA4B-2696-42DD-8E37-782DDA203450\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: Collapse</h1></div><p><a href=\"./../../../../../images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\"></a> <a href=\"./../../../../../What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\"\">NEW</a> <strong>in 3ds Max 2023.2 Update:</strong>\n\
The <code>Collapse</code> interface exposes the functionality of the <strong>Collapse Utility</strong>.</p>\n\
<h2 id=\"example-\">Example:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">b1 = box pos:[0,0,0]\n\
s1 = sphere pos:[15,0,0]\n\
s2 = sphere pos:[-15,0,0]\n\
select b1\n\
selectmore s1\n\
selectmore s2\n\
collapse.setDoBool true\n\
collapse.setOutputType #Mesh\n\
collapse.setCollapseTo #Single\n\
collapse.SetBoolType #SUBTRACTION\n\
collapse.doCollapse $</code></pre><h2 id=\"properties-\">Properties:</h2><p>None</p>\n\
<h2 id=\"methods-\">Methods:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;DoCollapse &lt;&amp;node array&gt;nodeSet\n\
    nodeSet is In and Out parameter</code></pre><p>Collapses the nodes contained in the <code>nodeSet</code> array into a single Editable mesh, optionally performing a boolean operation on them at the same time.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;GetOutputType()\n\
    GetOutputType enums: {#Mesh|#StackResult}</code></pre><p>Returns the output type for the collapse operation, either #Mesh (a single Editable Mesh) or #StackResult (modifier stack collapse result).  </p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetOutputType &lt;enum&gt;outputType\n\
    outputType enums: {#Mesh|#StackResult}</code></pre><p>Sets the output type for the collapse operation, either #Mesh (a single Editable Mesh) or #StackResult (modifier stack collapse result).  </p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;GetCollapseTo()\n\
    GetCollapseTo enums: {#Single|#Multiple}</code></pre><p>Gets the number of outputs the collapse operation will create:</p>\n\
<ul>\n\
<li>#Single - a single Editable Mesh</li>\n\
<li>#Multiple - each node is collapsed into it&apos;s own Editable Mesh</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetCollapseTo &lt;enum&gt;CollapseToType\n\
    CollapseToType enums: {#Single|#Multiple}</code></pre><p>Sets the number of outputs the collapse operation will create: </p>\n\
<ul>\n\
<li><code>#Single</code> - a single Editable Mesh</li>\n\
<li><code>#Multiple</code> - each node is collapsed into it&apos;s own Editable Mesh</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetDoBool()</code></pre><p>Returns whether the collapse operation will also perform a boolean operation.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetDoBool &lt;boolean&gt;DoBool</code></pre><p>Sets whether the collapse operation will also perform a boolean operation.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;GetBoolType()\n\
    GetBoolType enums: {#UNION|#INTERSECTION|#SUBTRACTION}</code></pre><p>Gets the type of optional boolean operation that will be performed:</p>\n\
<ul>\n\
<li><code>#UNION</code> - union operation</li>\n\
<li><code>#INTERSECTION</code> - intersection operation</li>\n\
<li><code>#SUBTRACTION</code> - subtraction operation - the first node in the node list is the one other nodes are subtracted from.</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetBoolType &lt;enum&gt;BoolType\n\
    BoolType enums: {#UNION|#INTERSECTION|#SUBTRACTION}</code></pre><p>Sets the type of optional boolean operation that will be performed:</p>\n\
<ul>\n\
<li><code>#UNION</code> - union operation</li>\n\
<li><code>#INTERSECTION</code> - intersection operation</li>\n\
<li><code>#SUBTRACTION</code> - subtraction operation - the first node in the node list is the one other nodes are subtracted from.</li>\n\
</ul>\n\
<h2 id=\"actions-\">Actions:</h2><p>None</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";