var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"6BCD1EAA-1F16-4758-A07B-C2E31F94BEB2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ColorPipelineMgr</h1></div><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../../../What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\"\">NEW</a> <strong>in 3ds Max 2024:</strong>\n\
This interface exposes properties and methods for color management (legacy gamma and OCIO-based) in 3ds Max.  For more information about OpenColorIO (OCIO) see <a href=\"https://opencolorio.readthedocs.io/en/latest/index.html\" target=\"_blank\">OCIO Overview</a>.</p>\n\
<h2 id=\"example\">Example</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">/* Uses some ColorPipelineMgr methods to get information about the\n\
current configuration and print out description strings for color\n\
spaces, displays and views. */\n\
\n\
renderingSpaces = ColorPipelineMgr.GetRenderingColorSpaceList()\n\
fileSpaces = ColorPipelineMgr.GetFileIOColorSpaceList()\n\
displays = ColorPipelineMgr.GetDisplayList()\n\
\n\
\n\
format &quot;Render Space Descriptions:\\n&quot;\n\
for rs in renderingSpaces do (\n\
    dsc = ColorPipelineMgr.GetColorSpaceDescription rs\n\
    format &quot;% : %\\n&quot; rs dsc\n\
)\n\
\n\
format &quot;File Space Descriptions:\\n&quot;\n\
\n\
for rs in fileSpaces do (\n\
    dsc = ColorPipelineMgr.GetColorSpaceDescription rs\n\
    format &quot;% : %\\n&quot; rs dsc\n\
)\n\
\n\
format &quot;Display View Descriptions:\\n&quot;\n\
\n\
for dsp in displays do (\n\
    format &quot;Display: %\\n&quot; dsp\n\
    vs = ColorPipelineMgr.GetViewList dsp \n\
    for v in vs do(\n\
        append views v    \n\
        format &quot;  view % : %\\n&quot; v (ColorPipelineMgr.GetDisplayViewDescription dsp v)    \n\
    )\n\
\n\
)</code></pre><h2 id=\"properties-\">Properties:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .Mode : enum : Read|Write\n\
       Mode enums: {#Unmanaged|#Gamma|#OCIO_Default|#OCIO_Custom}</code></pre><p>Gets or sets the Color Managment mode, where:</p>\n\
<ul>\n\
<li><code>#Unmanaged</code> - no color management.</li>\n\
<li><code>#Gamma</code> - OCIO configuration that emulates the legacy gamma mode in versions prior to 3ds Max 2024.  This mode assumes that the primaries of the monitor are Rec.709/sRGB and those primaries are also used as the rendering space.</li>\n\
<li><code>#OCIO_Default</code> - OCIO-based color management mode, using the built-in 3ds Max default configuration file.</li>\n\
<li><code>#OCIO_Custom</code> - OCIO-based color management mode, using a user-specified OCIO configuration file.</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .OCIOConfigPath : string : Read|Write</code></pre><p>Gets or sets the configuration file that specifies Open Color IO settings.  Note that this path can only be changed if the mode is not locked.  See the <code>.Locked</code> property below.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .Status : enum : Read\n\
       Status enums: {#Normal|#FallbackRaw|#Invalid}</code></pre><p>Returns the initialization state of Color Mangement, where:</p>\n\
<ul>\n\
<li><code>#Normal</code> - color management is initialized and working properly</li>\n\
<li><code>#FallbackRaw</code> - color management initialization failed for some reason (eg missing or incorrect configuration file), and 3ds Max falls back to &quot;unmanaged&quot;.</li>\n\
<li><code>#Invalid</code> - something terrible happened, the system may be unstable.  Ideally, this state is never reached.</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .Locked : boolean : Read|Write</code></pre><p>Gets or sets whether color management settings are locked.  This means the mode and configuration path cannot be changed via code (though they can still be changed using the UI).</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .RenderingColorSpace : string : Read|Write</code></pre><p>Gets or sets the string specifying the rendering color space.  Available color space configurations are:</p>\n\
<ul>\n\
<li>&quot;ACEScg&quot;</li>\n\
<li>&quot;ACES2065-1&quot;</li>\n\
<li>&quot;scene-linear Rec.709-sRGB&quot;</li>\n\
<li>&quot;scene-linear DCI-P3 D65&quot;</li>\n\
<li>&quot;scene-linear Rec.2020&quot;</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .DisplayGamma : float : Read|Write</code></pre><p>Gets or sets the display gamma value.  The default is 2.2.</p>\n\
<h2 id=\"methods-\">Methods:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;LoadSystemDefaults()\n\
       LoadSystemDefaults - no automatic redraw after invoked</code></pre><p>Loads the color management system defaults.  This is equivalent to clicking the <strong>Load System Defaults</strong> button on the Color Management preferences tab.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;SaveSystemDefaults()\n\
       SaveSystemDefaults - no automatic redraw after invoked</code></pre><p>Saves the current color management settings to the system defaults file.  This is equivalent to clicking the <strong>Save As System Defaults</strong> button on the Color Mangement preferences tab.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;OCIODumpInfo()\n\
       OCIODumpInfo - no automatic redraw after invoked</code></pre><p>Returns a string containing Open Color IO system information, including the currently loaded active configuration.  Mostly useful for debugging.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;GetModeDescription()\n\
       GetModeDescription - no automatic redraw after invoked</code></pre><p>Returns the description string for the current color management mode.  This is the description field in the currently active configuration file.  Produces a runtime error if no matching color space name is found.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;GetColorSpaceDescription &lt;string&gt;colorSpace\n\
       GetColorSpaceDescription - no automatic redraw after invoked</code></pre><p>Returns the description string for the color space in the current configuration with a name that matches the specified <code>colorSpace</code>.  </p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;GetDisplayViewDescription &lt;string&gt;display &lt;string&gt;view\n\
       GetDisplayViewDescription - no automatic redraw after invoked</code></pre><p>Gets the description string for the specified view and display.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;SetDefaultOutputConversion &lt;enum&gt;conversion colorSpace:&lt;&amp;string&gt; display:&lt;&amp;string&gt; viewTransform:&lt;&amp;string&gt;\n\
       SetDefaultOutputConversion - no automatic redraw after invoked\n\
       conversion enums: {#NoConversion|#ColorSpaceConversion|#DisplayViewtransform}\n\
       colorSpace default value: &quot;&quot;\n\
       colorSpace is In and Out parameter\n\
       display default value: &quot;&quot;\n\
       display is In and Out parameter\n\
       viewTransform default value: &quot;&quot;\n\
       viewTransform is In and Out parameter</code></pre><p>Sets the current output conversion settings.  For <code>#ColorSpaceConversion</code> a colorSpace name must be specified.  For <code>#DisplayViewTransform</code>, a colorSpace, display, and viewTransform must be specified.  Returns true on succes, false otherwise.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;enum&gt;GetDefaultOutputConversion colorSpace:&lt;&amp;string&gt; display:&lt;&amp;string&gt; viewTransform:&lt;&amp;string&gt;\n\
       GetDefaultOutputConversion enums: {#NoConversion|#ColorSpaceConversion|#DisplayViewtransform\n\
       GetDefaultOutputConversion - no automatic redraw after invoked\n\
       colorSpace default value: &quot;&quot;\n\
       colorSpace is Out parameter\n\
       display default value: &quot;&quot;\n\
       display is Out parameter\n\
       viewTransform default value: &quot;&quot;\n\
       viewTransform is Out parameter</code></pre><p>Gets the current default output conversion settings as an enum, and returns the color space, display, and view transform settings if the output conversion type is <code>#DisplayViewTransform</code>, and the color space if it is <code>#ColorSpaceConversion</code>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string array&gt;GetRenderingColorSpaceList()\n\
       GetRenderingColorSpaceList - no automatic redraw after invoked</code></pre><p>Returns an array of color spaces available in the currently loaded configuration.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string array&gt;GetFileIOColorSpaceList()\n\
       GetFileIOColorSpaceList - no automatic redraw after invoked</code></pre><p>Returns an array of File IO Color Spaces in the currently loaded configuration.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string array&gt;GetDisplayList()\n\
       GetDisplayList - no automatic redraw after invoked</code></pre><p>Returns an array of the names of displays in the currently loaded configuration.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string array&gt;GetViewList &lt;string&gt;display [colorSpace:&lt;string&gt;]\n\
       GetViewList - no automatic redraw after invoked\n\
       colorSpace default value: &quot;&quot;</code></pre><p>Returns an array of views for the specified display and optionaly the specified colorSpace.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;ReInitialize()</code></pre><p>Re-initializes the color management system.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";