var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-49038961-58CA-41F3-8226-7BC8EDE8F94A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ViewportFilter</h1></div><p>This core interface exposes the Viewport Filter feature introduced in <strong>3ds Max 2022.3 Update</strong>.  </p>\n\
<h2 id=\"properties-\">Properties:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .Enabled : boolean : Read|Write</code></pre><p>Enables or disables the viewport filter for the current viewport  (the viewport index corresponding to the <code>ViewportID</code> property).</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .ShowRenderable : boolean : Read|Write</code></pre><p>Specifies what is filtered.  When <code>true</code>, only renderable objects are shown in the viewport.  When <code>false</code>, the viewport contents are filtered by category.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .SceneContentsMode : boolean : Read|Write</code></pre><p>Specifies what appears in the <strong>Show By Category</strong> list.  When <code>true</code>, only types of objects that appear in the current scene appear in the list.  When <code>false</code>, all categories are displayed, regardless of whether they exist in the current scene.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .ViewportID : index : Read|Write</code></pre><p>Returns the index of the viewport to which the current settings apply.  Normally this is the active viewport, or the same as <code>viewport.activeViewport</code>, and will change when the user activates different viewports. However, this value can be set, and settings for non-active viewports can be accessed and modified.  Once this property is set, it no longer changes to reflect the currently active viewport.</p>\n\
<h2 id=\"methods\">Methods</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;AddFilteredSuperClassID &lt;integer64&gt;superClassID</code></pre><p>Adds the specified superClassID to the list of filtered (hidden) categories.  </p>\n\
<p>For example, to hide all Cameras:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">ViewportFilter.AddFilteredSuperClassID 32L</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;RemoveFilteredSuperClassID &lt;integer64&gt;superClassID</code></pre><p>Removes the specified superClassID from the list of filtered super classes.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;ClearFilteredSuperClassIDs()</code></pre><p>Removes all filtered super classes from the <strong>Show By Category</strong> list.  This means all categories are visible in the viewport.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;integer&gt;GetNumFilteredSuperClassIDs()</code></pre><p>Returns the number of SuperClassIDs (corresponding to top-level categories) that are hidden (deselected) in the <strong>Show By Category</strong> list.  </p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> This method returns the total number of hidden categories, regardless of the state of the Filter UI.  For example, the user might hide 4 categories while showing all categories, then change the mode to <strong>Scene Contents</strong>, reducing the list to only 3 items.  This method will still return 4.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;integer64&gt;GetFilteredSuperClassID &lt;index&gt;index</code></pre><p>Gets the superclass ID for the hidden category at the specified index, or 0 if the index is not hidden.  The index is for the list of hidden categories, not the list of all categories, and is empty if no categories are hidden.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;AddFilteredClassID &lt;integer64 array&gt;classID</code></pre><p>Adds the specified classID to the list of filtered categories.  </p>\n\
<p>For example, to hide all Geosphere objects in the viewport:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">ViewportFilter.AddFilteredClassID #(0L, 32670L)</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;RemoveFilteredClassID &lt;integer64 array&gt;classID</code></pre><p>Removes the specified classID from the list of filtered class IDs.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;ClearFilteredClassIDs()</code></pre><p>Clears the list of all filtered Class IDs.  This will clear all class IDs even if they have different superclass IDs.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;integer&gt;GetNumFilteredClassIDs()</code></pre><p>Returns the number of filtered (hidden) class IDs.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> This method returns the total number of hidden categories, regardless of the state of the Filter UI.  For example, the user might hide 4 categories while showing all categories, then change the mode to <strong>Scene Contents</strong>, reducing the list to only 3 items.  This method will still return 4.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;integer64 array&gt;GetFilteredClassID &lt;index&gt;index</code></pre><p>Returns the filtered class ID at the specified index, or 0 if the index is not hidden.  The index is for the list of hidden sub-categories, not the list of all sub-categories, and is empty if no categories are hidden.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;Copy()</code></pre><p>Copies the current filter settings.  This is equivalent to clicking the <strong>Copy</strong> button on the filter UI.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;Paste()</code></pre><p>Pastes the current filter settings.  This is equivalent to clicking the <strong>Paste</strong> button on the filter UI.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;Reset()</code></pre><p>Resets the viewport settings to the defaults.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;IsNodeShown &lt;node&gt;node</code></pre><p>Returns true of the specified node is visible in the viewport, false if it is hidden.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;OpenDialog()</code></pre><p>Opens the viewport filter settings dialog for the currently active viewport.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;CloseDialog()</code></pre><p>Closes the viewport filter settings dialog, if it is currently open.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;ShowCategory &lt;value&gt;category &lt;boolean&gt;show</code></pre><p>Sets the viewport filter for the specified <code>category</code> to the specified <code>show</code> value.  For example, to hide geometry:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">ViewportFilter.ShowCategory GeometryClass false</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;ShowCategories &lt;&amp;value array&gt;categories &lt;boolean&gt;show\n\
       categories is In and Out parameter</code></pre><p>Sets the viewport filter for the specified categories to the specified show value.  For example, to hide teapots, bones and boxes:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">cats = #(Teapot, Bone, Box)\n\
ViewportFilter.ShowCategories cats false\n\
--&gt;true</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;value array&gt;GetCategories &lt;boolean&gt;show</code></pre><p>Returns an array of categories that match the specified <code>show</code> value.  For example, passing <code>show</code> as true returns all categories currently set to be visible in the viewport.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;CategoriesShowAll()</code></pre><p>Sets all categories for the current viewport filter to show (display).</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;CategoriesShowNone()</code></pre><p>Sets all categories for the current viewport to hide.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;CategoriesShowInvert()</code></pre><p>Inverts the current show/hide settings, so categories that were set to hide now show, and categories set to show are now hidden.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;RegisterFilterChangeCallback &lt;value&gt;filterChangeCallback</code></pre><p>Registers a callback to execute whenever the filter settings change.</p>\n\
<p>For example:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn myViewportFilterCBK vid filteredNodes =\n\
(\n\
    format &quot;vid: %\\n&quot; vid\n\
    for n in filteredNodes do (\n\
        format &quot;filtered: %\\n&quot; n.name\n\
    )\n\
)\n\
ViewportFilter.UnRegisterFilterChangeCallback myViewportFilterCBK -- in case it&apos;s already registered\n\
ViewportFilter.RegisterFilterChangeCallback myViewportFilterCBK</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;UnRegisterFilterChangeCallback &lt;value&gt;filterChangeCallback</code></pre><p>Unregisters the specified filter change callback.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;value&gt;ShowRegisteredFilterChangeCallbacks to:&lt;value&gt; asArray:&lt;boolean&gt;\n\
       to default value: undefined\n\
       asArray default value: false</code></pre><h2 id=\"actions\">Actions</h2><p>None</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../U-V-W-X-Y-Z.html\">U,V,W,X,Y,Z</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";