var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FE4CF80F-BAC3-409E-96AA-308DBEDD780E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Compound : textureMap</h1></div><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Compound - superclass: textureMap; super-superclass:material - 7:4 - classID: #(1366243801L, 590182697L); creatable: true</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\"\">NEW</a> <strong>in 3ds Max 2024:</strong>\n\
Exposes the Compound node in the Slate Material Editor.  A Compound is not a material per se, but a node in the SME that contains a material graph.  Compounds can expose input and output channels.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> The <code>Compound</code> interface and related interfaces may change in future releases.</p>\n\
\n\
</div></div>\n\
\n\
<h2 id=\"example\">Example</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">-- create a material and add it to a compound in the SME\n\
physMat = PhysicalMaterial()\n\
sme.open()\n\
-- by default there&apos;s one view:\n\
nodeView = sme.getView 1\n\
pos = [10,10]\n\
-- add our material to the SME\n\
matNode = nodeView.createNode physMat &amp;pos\n\
\n\
myChecker = osl_Checker()\n\
physMat.base_color_map = myChecker\n\
chkrNode = nodeView.createNode myChecker &amp;pos\n\
-- This is the same as the &quot;Package Nodes Into Compound&quot; command\n\
pkgNode = nodeView.PackageNodesIntoCompound #(physMat, myChecker) &amp;pos\n\
-- to work with the actual compound, we need to get the node reference:\n\
myComp = pkgNode.reference\n\
-- add a new input channel\n\
inputChannel = myComp.addInput()\n\
-- connect it to the 3rd input on Checker: Color1\n\
inputChannel.connect myChecker 3\n\
-- Add an output channel\n\
outputChannel = myComp.addOutput()\n\
outputChannel.connect physMat 1\n\
\n\
actionMan.executeAction 369891408 &quot;40060&quot;  -- SME: Lay Out All</code></pre><h2 id=\"properties\">Properties</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.members     ArrayParameter    default: #()   --  maxObject array</code></pre><p>Get/set the component members of the compound as an array of ReferenceTarget:Compound_Member objects.  These are similar to SME node objects, with a reference property pointing to the actual material/map object.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.numIMultipleOutputChannels     Integer    default: 0   --  integer;</code></pre><p>Gets the number of output channels with multiple channels for the compound.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.numInputs     Integer    default: 0   --  integer;</code></pre><p>Gets the number of inputs for the compound.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.numMembers     Integer    default: 0   --  integer;</code></pre><p>Gets the number of member nodes in the compound.  This is the size of the <code>.members</code> array.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.numOutputs     Integer    default: 0   --  integer;</code></pre><p>Gets the number of output channels for the compound.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.view_pos     Point2    default: [0,0]   --  point2</code></pre><p>Gets/sets the compound&apos;s location in the SME view.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.view_scale     Float    default: 1.0   --  float</code></pre><p>The view scale for the compound node.</p>\n\
<h2 id=\"compound-interfaces-\">Compound interfaces:</h2><p><strong>Interface: compound</strong></p>\n\
<h3 id=\"methods-\">Methods:</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;Interface&gt;getMember &lt;index&gt;index</code></pre><p>Returns a <a href=\"CompoundMember.html\"\"><code>&lt;MixinInterface:compoundmember&gt;</code></a> for the compound member at the specified index, or undefined if the index doesn&apos;t exist.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;Interface&gt;addMember &lt;maxObject&gt;member</code></pre><p>Adds the specified <code>maxObject</code> (a material or map) to the compound, and returns the<a href=\"CompoundMember.html\"\"><code>&lt;MixinInterface:compoundmember&gt;</code></a>  for that new compound member.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;deleteMember &lt;Interface&gt;member</code></pre><p>Deletes the specified member from the compound.  <code>member</code> must be a <a href=\"CompoundMember.html\"\"><code>&lt;MixinInterface:compoundmember&gt;</code></a> , not the underlying material or map object.  This deletes the compound member, but not the referenced map or material object.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;setMemberIndex &lt;Interface&gt;member &lt;maxObject&gt;index</code></pre><p>Not implemented, do not use.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;getMemberIndex &lt;Interface&gt;member</code></pre><p>Returns the index for the specified compound member.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;Interface&gt;getInput &lt;index&gt;index</code></pre><p>Returns a <a href=\"CompoundIO.html\"\"><code>&lt;MixinInterface:compoundio&gt;</code></a> for the compound input at the specified index.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;Interface&gt;addInput()</code></pre><p>Adds a new, unconnected input channel for the compound, and returns the <a href=\"CompoundIO.html\"\"><code>&lt;MixinInterface:compoundio&gt;</code></a> for that input.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;setInputIndex &lt;Interface&gt;input &lt;maxObject&gt;index</code></pre><p>Not implemented, do not use.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;getInputIndex &lt;Interface&gt;input</code></pre><p>Returns the index for the specified input object.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;Interface&gt;getOutput &lt;index&gt;index</code></pre><p>Returns a  <a href=\"CompoundIO.html\"\"><code>&lt;MixinInterface:compoundio&gt;</code></a> for the compound output at the specified index.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;Interface&gt;addOutput()</code></pre><p>Adds a new, unconnected output channel for the compound, and returns the <a href=\"CompoundIO.html\"\"><code>&lt;MixinInterface:compoundio&gt;</code></a>  for that input.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;setOutputIndex &lt;Interface&gt;output &lt;maxObject&gt;index</code></pre><p>Not implemented, do not use.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;getOutputIndex &lt;Interface&gt;output</code></pre><p>Returns the index of the specified output channel.</p>\n\
<p>   Actions:</p>\n\
<p><strong>Interface: iMultiOutputConsumer</strong></p>\n\
<h2 id=\"methods-\">Methods:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;SetOutputToInput &lt;index&gt;input_index &lt;maxObject&gt;output_rtarg &lt;index&gt;output_index</code></pre><p>Sets the output channel at <code>output_index</code> for the compound, connecting the output channel at <code>input_index</code> on the <code>output_rtarg</code> object. Returns true if successful, false if not.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;maxObject&gt;GetOutputRefTargetFromInput &lt;index&gt;input_index</code></pre><p>Gets the output reference target from the specified <code>input_index</code>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;GetOutputIndexFromInput &lt;index&gt;input_index</code></pre><p>Returns the index for the output channel associated with the specified <code>input_index</code> channel.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;CanAssignOutputToInput &lt;index&gt;input_index &lt;maxObject&gt;output_rtarg &lt;index&gt;output_index</code></pre><p>Returns true if the channel specified by <code>input_index</code> for the specified <code>output_rtarg</code> object can be assigned to the specified <code>output_index</code>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;GetInputName &lt;index&gt;input_index\n\
       GetInputName - no automatic redraw after invoked</code></pre><p>Returns the name for the compound input channel at <code>input_index</code>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;GetInputLocalizedName &lt;index&gt;input_index\n\
       GetInputLocalizedName - no automatic redraw after invoked</code></pre><p>Returns the localized name string for the compound input channel at <code>input_index</code>.</p>\n\
<p>   Actions:</p>\n\
<p><strong>Interface: iMultipleOutputChannelsWithValues</strong></p>\n\
<h2 id=\"properties-\">Properties:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .numIMultipleOutputChannels : integer : Read</code></pre><p>Returns the number of output channels the compound has that support multiple output channels.</p>\n\
<h2 id=\"methods-\">Methods:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;getIMultipleOutputChannelLocalizedName &lt;index&gt;index\n\
       getIMultipleOutputChannelLocalizedName - no automatic redraw after invoked</code></pre><p>Returns the localized name of the specified output channel.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;getIMultipleOutputChannelName &lt;index&gt;index\n\
       getIMultipleOutputChannelName - no automatic redraw after invoked</code></pre><p>Returns the non-localized (ENU) name for the specified output channel.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;enum&gt;getIMultipleOutputChannelType &lt;index&gt;index\n\
       getIMultipleOutputChannelType enums: {#float|#integer|#rgb|#point3|#string|#filename|#material|#texturemap|#bitmap|#node|#maxObject|#matrix3|#paramblock2|#point4|#frgba\n\
       getIMultipleOutputChannelType - no automatic redraw after invoked</code></pre><p>Returns the data type for the channel specified by <code>index</code>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;value&gt;getIMultipleOutputChannelValue &lt;index&gt;index time:&lt;time&gt;\n\
       getIMultipleOutputChannelValue - no automatic redraw after invoked\n\
       time default value: 0f</code></pre><p>Returns the data value for the channel specified by <code>index</code> at the specified <code>time:</code>.</p>\n\
<p>   Actions:</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";