var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-99330E6A-5943-4E12-A70C-9175DCACE202\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Material_Switcher : Material</h1></div><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Material_Switcher - superclass: material; super-superclass:MAXWrapper - 5:0 - classID: #(1322087590L, 0L)</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\"\">NEW</a> <strong>in 3ds Max 2024:</strong>\n\
Exposes the functionality for the new Material Switcher material type.</p>\n\
<h2 id=\"example\">Example</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">-- material switcher example\n\
resetMaxFile #noprompt\n\
\n\
t = teapot()\n\
ms = Material_Switcher()\n\
for i = 1 to ms.nummats do (\n\
    my_mat = standardMaterial diffuse:(random (color 0 0 0) (color 255 255 255)) name:(uniqueName &quot;RndMat&quot;)\n\
    ms.materialList[i]=my_mat\n\
    )\n\
\n\
t.material = ms\n\
\n\
-- randomly assign a material\n\
ms.selection = random 1  ms.nummats\n\
</code></pre><h2 id=\"properties-\">Properties:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">  .materialList (Material) : material array</code></pre><p>An array of materials assigned to the material switcher slots, with the array index corresponding to the slot number in the Material Switcher UI.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">  .names : string array</code></pre><p>An array of material names.  These are not the actual material names, but rather the names the user can assign to each slot.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">  .selection : integer</code></pre><p>Gets/sets the currently selected material slot.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">  .nummats : integer</code></pre><p>The number of material slots available in the switcher.  By default this is 10.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">  .UILocked : boolean</code></pre><p>Toggles the Material Switcher lock.  When true, the user cannot change the selected material by clicking on a material icon.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">  .material1 (alias for materialList[0])</code></pre><p>The first material in the Material Switcher list.</p>\n\
<h2 id=\"interfaces-\">Interfaces:</h2><p>  Interface: Material Switcher</p>\n\
<h3 id=\"methods-\">Methods:</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;material&gt;GetActiveMaterial()</code></pre><p>Returns the currently active material.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;material&gt;SelectMaterialByID &lt;integer&gt;Index</code></pre><p>Makes the material at the specified index the selected material.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;material&gt;SelectMaterialByName &lt;string&gt;Name</code></pre><p>Makes the material with the specified name the selected material.  Note that this is not the actual material name, but the name assigned by the user to the slot, and the method will find the first complete match based on the index.  If more than one material share the same user name, the first one will be returned.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;selectedname()</code></pre><p>Returns the slot name for the currently active material.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";