var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2E891E04-70F6-4043-83D8-178755BC1294\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>glTFMaterial : material</h1></div><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">glTFMaterial - superclass: material; super-superclass:MAXWrapper - 44:0 - classID: #(943849874L, 1174294043L)</code></pre><p>This material provides an accurate representation of what assets will look like when exported using the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/GLTF_Export.html\">glTF exporter</a>.</p>\n\
<p><strong>Properties</strong></p>\n\
<p><strong>glTF 2.0 Material Properties</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.baseColor     Color    default: (color 255 255 255)   --  animatable; color; Base_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); WeirdScaled ([1,1,1,1])</code></pre><p>The material base color.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.baseColorMap     UndefinedClass    default: undefined   --  texturemap; Base_Color_Map</code></pre><p>The material base color map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.AlphaMap     UndefinedClass    default: undefined   --  texturemap; Alpha_Map</code></pre><p>The material alpha map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.alphaMode     Integer    default: 1   --  animatable; integer; Alpha</code></pre><p>The alpha mode, where:</p>\n\
<ul>\n\
<li>1 = Opaque</li>\n\
<li>2 = Mask</li>\n\
<li>3 = Blend</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.metalness     Float    default: 0.0   --  animatable; float</code></pre><p>The metalness value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.metalnessMap     UndefinedClass    default: undefined   --  texturemap; Metalness_Map</code></pre><p>The material metalness map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.roughness     Float    default: 0.5   --  animatable; float</code></pre><p>The roughness value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.roughnessMap     UndefinedClass    default: undefined   --  texturemap; Roughness_Map</code></pre><p>The roughness map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.normal     Float    default: 1.0   --  animatable; float</code></pre><p>The normal value. </p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.normalMap     UndefinedClass    default: undefined   --  texturemap; Normal_Map</code></pre><p>The normal map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.ambientOcclusion     Float    default: 1.0   --  animatable; float; Occlusion__AO</code></pre><p>The Occlusion (AO) value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.ambientOcclusionMap     UndefinedClass    default: undefined   --  texturemap; Occlusion__AO__Map</code></pre><p>The Occlusion map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.emissionColor     Color    default: (color 0 0 0)   --  animatable; color; Emission; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); WeirdScaled ([1,1,1,1])</code></pre><p>The material emission color.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.emissionMap     UndefinedClass    default: undefined   --  texturemap; Emission_Map</code></pre><p>The material emission map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.DoubleSided     BooleanClass    default: false   --  animatable; boolean; Double_Sided</code></pre><p>Specifies whether the material is double-sided.</p>\n\
<hr>\n\
<p><strong>glTF Extensions Properties</strong></p>\n\
<p>The following properties are supported by various glTF 2.0 extensions.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.unlit     BooleanClass    default: false   --  animatable; boolean</code></pre><p>Specifies whether the material is unlit.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.enableClearCoat     BooleanClass    default: false   --  animatable; boolean; Enable_Clearcoat</code></pre><p>Specifies whether to enable the clearcoat extension.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.clearcoat     Float    default: 1.0   --  animatable; float</code></pre><p>The clearcoat value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.clearcoatMap     UndefinedClass    default: undefined   --  texturemap; Clearcoat_Map</code></pre><p>The clearcoat map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.clearcoatNormal     Float    default: 1.0   --  animatable; float; Clearcoat_Normal</code></pre><p>The clearcoat normal value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.clearcoatNormalMap     UndefinedClass    default: undefined   --  texturemap; Clearcoat_Normal_Map</code></pre><p>The clearcoat normal map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.clearcoatRoughness     Float    default: 0.0   --  animatable; float; Clearcoat_Roughness</code></pre><p>The clearcoat roughness value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.clearcoatRoughnessMap     UndefinedClass    default: undefined   --  texturemap; Clearcoat_Roughness_Map</code></pre><p>The clearcoat roughness map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.enableSheen     BooleanClass    default: false   --  animatable; boolean; Enable_Sheen</code></pre><p>Specifies whether to enable the Sheen extension.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.sheenColor     Color    default: (color 255 255 255)   --  animatable; color; Sheen_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); WeirdScaled ([1,1,1,1])</code></pre><p>The sheen color value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.sheenColorMap     UndefinedClass    default: undefined   --  texturemap; Sheen_Color_Map</code></pre><p>The sheen color map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.sheenRoughness     Float    default: 0.0   --  animatable; float; Sheen_Roughness</code></pre><p>The sheen roughness value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.sheenRoughnessMap     UndefinedClass    default: undefined   --  texturemap; Sheen_Roughness_Map</code></pre><p>The sheen roughness map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.enableSpecular     BooleanClass    default: false   --  animatable; boolean; Enable_Specular</code></pre><p>Specifies whether to enable the specular extension.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.specular     Float    default: 1.0   --  animatable; float</code></pre><p>The specular value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.specularcolor     Color    default: (color 255 255 255)   --  animatable; color; Specular_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); WeirdScaled ([1,1,1,1])</code></pre><p>The specular color.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.specularColorMap     UndefinedClass    default: undefined   --  texturemap; Specular_Color_Map</code></pre><p>The specular color map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.specularMap     UndefinedClass    default: undefined   --  texturemap; Specular_Map</code></pre><p>The specular map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.enableTransmission     BooleanClass    default: false   --  animatable; boolean; Enable_Transmission</code></pre><p>Specifies whether to enable the Transmission extension.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.transmission     Float    default: 1.0   --  animatable; float</code></pre><p>The transmission value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.transmissionMap     UndefinedClass    default: undefined   --  texturemap; Transmission_Map</code></pre><p>The transmission map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.enableVolume     BooleanClass    default: false   --  animatable; boolean; Enable_Volume</code></pre><p>Specifies whether to enable Transmission Volume.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.volumeColor     Color    default: (color 255 255 255)   --  animatable; color; Volume_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); WeirdScaled ([1,1,1,1])</code></pre><p>The volume color.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.volumeDistance     Float    default: 0.0   --  animatable; float; Volume_Distance</code></pre><p>The volume distance value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.volumeThickness     Float    default: 0.0   --  animatable; float; Volume_Thickness</code></pre><p>The volume thickness value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.volumeThicknessMap     UndefinedClass    default: undefined   --  texturemap; Volume_Thickness_Map</code></pre><p>The volume thickness map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.enableIndexOfRefraction     BooleanClass    default: false   --  animatable; boolean; Enable_IOR</code></pre><p>Specifies whether to enable the IOR extension.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;glTFMaterial&gt;.indexOfRefraction     Float    default: 1.5   --  animatable; float; IOR</code></pre><p>The IOR value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";