var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3736D212-8F08-4F85-B030-9B8F4CCA9A33\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Arraymodifier : Modifier</h1></div><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Arraymodifier - superclass: modifier; super-superclass:MAXWrapper - 114:0 - classID: #(2394076151L, 1473922114L); creatable: true</code></pre><p>The ArrayModifier interface provides access to the 3ds Max parametric Array Modifier.</p>\n\
<h2 id=\"constructor\">Constructor</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Arraymod...\n\
Arraymodifier...</code></pre><h2 id=\"example\">Example</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">-- ArrayMod Demo\n\
\n\
-- create a spline\n\
\n\
resetMaxFile #noprompt\n\
\n\
myStar = Star radius1:100 radius2:50\n\
myTeapot = Teapot radius:10\n\
myArray = ArrayMod()\n\
\n\
addmodifier myTeapot myArray\n\
\n\
-- by default an array is type grid, change this to spline and\n\
-- set the target spline to the star\n\
\n\
\n\
myArray.type = 2 -- spline\n\
myArray.referenceSpline = myStar\n\
myArray.countX = 30\n\
myArray.splinePercentType = 1 --loop\n\
myArray.randomizationRotationLink = true -- x value applies to all axes\n\
with animate on (\n\
at time 0 (\n\
    myArray.splinePercentAmount = 0\n\
    myArray.randomizationRotationX = 0\n\
    )\n\
at time 80 (\n\
    myArray.splinePercentAmount = 50\n\
    myArray.randomizationRotationX = 60\n\
    )\n\
\n\
)\n\
playAnimation()</code></pre><h2 id=\"properties\">Properties</h2><p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#distribution-group\">Distribution Group</a></li>\n\
<li><a href=\"#transform-group\">Transform Group</a></li>\n\
<li><a href=\"#randomization-group\">Randomization Group</a></li>\n\
<li><a href=\"#material-id-group\">Material ID Group</a></li>\n\
<li><a href=\"#uv-group\">UV Group</a></li>\n\
<li><a href=\"#remove-group\">Remove Group</a></li>\n\
<li><a href=\"#create-group\">Create Group</a><ul>\n\
<li><a href=\"#unknown-\">Unknown:</a></li>\n\
<li><a href=\"#arraymodifier-interfaces-\">Arraymodifier interfaces:</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#interface-arraymod\">Interface: ArrayMod</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h3 id=\"distribution-group\">Distribution Group</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.arrayRadius     Float    default: 10.0   --  animatable; float</code></pre><p>Gets/sets the radius of the array in scene units, when the distribution type is radial.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.byElement     BooleanClass    default: false   --  boolean</code></pre><p>Specifies whether to randomly use each element in a multi-element object as array clones.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.center     BooleanClass    default: false   --  boolean</code></pre><p>Specifies whether to re-position the array so that it is centered around the original object location.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.countX     Integer    default: 5   --  animatable; integer</code></pre><p>Gets/sets the number of clones in the X dimension, when the distribution type is Grid.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.countY     Integer    default: 1   --  animatable; integer</code></pre><p>Gets/sets the number of clones in the Y dimension, when the distribution type is Grid.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.countZ     Integer    default: 1   --  animatable; integer</code></pre><p>Gets/sets the number of clones in the Z dimension, when the distribution type is Grid.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.distributionMethod     Integer    default: 1   --  integer</code></pre><p>Sets the grid distribution method where:</p>\n\
<ul>\n\
<li>0 = Total Dimension</li>\n\
<li>1 = Relative Offset</li>\n\
<li>2 = Fill</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.dynamicSpacing     BooleanClass    default: false   --  boolean</code></pre><p>Specifies whether to use dynamic spacing, which inserts clones between the first and last clones.  When false, new clones are appended to the end of the array.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.elementCenter     BooleanClass    default: true   --  boolean</code></pre><p>Specifies whether to set the pivot of each clone on its x axis to its center, when <code>.byElement</code> is true.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.elementSeed     Integer    default: 12345   --  integer</code></pre><p>Gets/sets the random seed used to distribute elements when <code>.byElement</code> is true.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.endAngle     Float    default: 360.0   --  animatable; float</code></pre><p>Gets/sets the end angle of the array, when the distribution mode is radial.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.equidistantRings     BooleanClass    default: false   --  boolean</code></pre><p>Specifies whether to make rings equidistant, when the distribution mode is radial and there is more than one ring (<code>.rings</code> &gt; 1).  This is done by adding as many clones as possible to each ring, using the offset and spacing parameters.  </p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.flip     BooleanClass    default: false   --  boolean</code></pre><p>Specifies whether to flip the distribution of the array, when the array is distributed on a spline.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.height     Float    default: 1.0   --  animatable; float</code></pre><p>Gets/sets the height of the array, when the distribution mode is grid.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.length     Float    default: 1.0   --  animatable; float</code></pre><p>Gets/sets the length of the array, when the distribution mode is grid.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.offsetRings     Float    default: 1.0   --  animatable; float</code></pre><p>Gets/sets the spacing between clones in each ring, when the distribution method is radial.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.offsetRows     Float    default: 1.0   --  animatable; float</code></pre><p>Gets/sets the spacing between rows, when the distribution method is radial.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.offsetX     Float    default: 1.0   --  animatable; float</code></pre><p>Gets/sets the X axis offset when the distribution mode is Grid.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.offsetY     Float    default: 1.0   --  animatable; float</code></pre><p>Gets/sets the Y axis offset when the distribution mode is Grid.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.offsetZ     Float    default: 1.0   --  animatable; float</code></pre><p>Gets/sets the Z axis offset when the distribution mode is Grid.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.orientation     Float    default: 100.0   --  animatable; float</code></pre><p>Gets/sets the orientation of the clones relative to the original object&apos;s orientation, when the distribution method is radial.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.packElements     BooleanClass    default: false   --  boolean</code></pre><p>Specifies whether to pack elements along the X axis, when the distribution method is grid.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.radialAxis     Integer    default: 2   --  integer</code></pre><p>Specifies which axis is used for radial distribution, where:</p>\n\
<ul>\n\
<li>0 = X axis</li>\n\
<li>1 = Y axis</li>\n\
<li>2 = Z axis</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.radialCount     Integer    default: 5   --  animatable; integer</code></pre><p>Gets/sets the number of clones (per row) in the array, when distribution type is radial.</p>\n\
<p>Gets/sets the offset amount </p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.radialPhase     Float    default: 0.0   --  animatable; float</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.radialScaleMethod     Integer    default: 0   --  integer</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.referenceSpline     UndefinedClass    default: undefined   --  node</code></pre><p>Gets/sets the spline node used when the distribution method is spline.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.retainOrientation     BooleanClass    default: false   --  boolean</code></pre><p>Specifies whether to retain the original object&apos;s orientation, when the distribution mode is spline or surface.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.rings     Integer    default: 1   --  animatable; integer</code></pre><p>Gets/sets the number of rings when the distribution mode is radial.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.rows     Integer    default: 1   --  animatable; integer</code></pre><p>Gets/sets the number of rows when the distribution mode is radial.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.spacingRings     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the amount of space between rings in display units.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.spacingRows     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the amount of space between rows in display units.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.spacingX     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the distance between each clone in the X axis, when the distribution mode is grid &gt; relative offset.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.spacingY     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the distance between each clone in the Y axis, when the distribution mode is grid &gt; relative offset.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.spacingZ     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the distance between each clone in the Z axis, when the distribution mode is grid &gt; relative offset.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.splineAxialAngle     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the placement of the clones around the axis of the spline, in degrees, when the distribution method is spline.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.splineAxis     Integer    default: 0   --  integer</code></pre><p>Gets/sets the axis of the spline around which to distribute clones, when the distribution method is spline, where:</p>\n\
<ul>\n\
<li>0 = X</li>\n\
<li>1 = Y</li>\n\
<li>2 = Z</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.splineDistributionMethod     Integer    default: 0   --  integer</code></pre><p>Gets/sets the distribution method when the distribution type is spline, where:</p>\n\
<ul>\n\
<li>0 = Count</li>\n\
<li>1 = Relative Offset</li>\n\
<li>2 = Fill</li>\n\
<li>3 = Knots</li>\n\
<li>4 = Segments</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.splinePercentAmount     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the position of the clones along the spline, when the distribution method is spline.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.splinePercentType     Integer    default: 1   --  integer</code></pre><p>Gets/sets the position transform method, when the distribution type is spline, where:</p>\n\
<ul>\n\
<li>0 = Continue</li>\n\
<li>1 = Loop</li>\n\
<li>2 = End</li>\n\
<li>3 = Remove</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.splineSurface     UndefinedClass    default: undefined   --  node</code></pre><p>Gets/sets a scene object onto which to project the array.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.splineVariation     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the percent of random variation to apply to clone positions when the distribution method is spline.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.splineVariationSeed     Integer    default: 12345   --  integer</code></pre><p>Gets/sets the random number seed for the variation value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.staggerRings     BooleanClass    default: false   --  boolean</code></pre><p>Gets/sets whether to stagger rings, when is are more than one ring, and the distribution method is radial.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.staggerRows     BooleanClass    default: false   --  boolean</code></pre><p>Gets/sets whether to stagger rows, when is are more than one row, and the distribution method is radial.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.startAngle     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the starting angle when the distribution method is radial.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.strength     Float    default: 100.0   --  animatable; float</code></pre><p>Gets/sets the strength value (as a percent) when the distribution method is grid, radial or spline.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.surfaceMethod     Integer    default: 0   --  integer</code></pre><p>Gets/sets the surface distribution method, where:</p>\n\
<ul>\n\
<li>0 = Vertex</li>\n\
<li>1 = Face Center</li>\n\
<li>2 = Edge Center</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.surfaceReference     UndefinedClass    default: undefined   --  node</code></pre><p>Gets/sets the scene object to project the array on to when the distribution method is Surface.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.type     Integer    default: 0   --  integer</code></pre><p>Gets/sets the array modifier distribution method, where:</p>\n\
<ul>\n\
<li>0 = Grid</li>\n\
<li>1 = Radial</li>\n\
<li>2 = Spline</li>\n\
<li>3 = Surface</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.useStartEndAngle     BooleanClass    default: false   --  boolean</code></pre><p>Specifies whether to use the start and end angle values for placing clones when the distribution type is radial.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.width     Float    default: 1.0   --  animatable; float</code></pre><p>Gets/sets the array width, when the distribution method is grid.</p>\n\
<h3 id=\"transform-group\">Transform Group</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.gridLocalRotationMethod     Integer    default: 0   --  integer</code></pre><p>Gets/sets the local rotation method, when the distribution method is grid, where:</p>\n\
<ul>\n\
<li>0 = All</li>\n\
<li>1 = Incremental</li>\n\
<li>2 = Alternating</li>\n\
<li>3 = Random Increment</li>\n\
<li>4 = By Axis</li>\n\
<li>5 = Incremental by Axis</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.gridPositionMethod     Integer    default: 0   --  integer</code></pre><p>Gets/sets the Grid Position Method, when the distribution method is grid, where:</p>\n\
<ul>\n\
<li>0 = All</li>\n\
<li>1 = Incremental</li>\n\
<li>2 = Alternating</li>\n\
<li>3 = By Axis</li>\n\
<li>4 = Z By Y</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.gridScaleMethod     Integer    default: 0   --  integer</code></pre><p>Gets/sets the Grid Scale Method, when the distribution mode is grid, where:</p>\n\
<ul>\n\
<li>0 = All</li>\n\
<li>1 = Incremental</li>\n\
<li>2 = Alternating</li>\n\
<li>3 = By Axis</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.localRotationSeed     Integer    default: 12345   --  integer</code></pre><p>Gets/sets the local rotation randomization seed.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.localRotationX     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the local rotation around the X axis, in degrees.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.localRotationY     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the local rotation around the Y axis, in degrees.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.localRotationZ     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the local rotation around the Z axis, in degrees.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.posX     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the X axis position value when the distribution method is grid, spline, or surface.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.posY     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the Y axis position value when the distribution method is grid, spline, or surface.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.posZ     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the Z axis position value when the distribution method is grid, spline, or surface.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.radialLocalRotationMethod     Integer    default: 0   --  integer</code></pre><p>Gets/sets the Local Rotation method, where:</p>\n\
<ul>\n\
<li>0 = All</li>\n\
<li>1 = Incremental</li>\n\
<li>2 = Alternating</li>\n\
<li>3 = Random Increment</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.radialOffset     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the radial offset value, which moves each clone successively and tangentially from the main axis of the array.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.ringOffset     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the amount by which each ring of clones of moved successively  along the axis of the array.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.ringPhase     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the rotation of every other ring around around the main axis, in degrees.  </p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.scaleLink     BooleanClass    default: false   --  boolean</code></pre><p>Gets/sets whether to link the world scale transform method for all axes to the X axis value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.scaleX     Float    default: 100.0   --  animatable; float</code></pre><p>Gets/sets the percentage by which to modify the scale of clones along the X axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.scaleY     Float    default: 100.0   --  animatable; float</code></pre><p>Gets/sets the percentage by which to modify the scale of clones along the Y axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.scaleZ     Float    default: 100.0   --  animatable; float</code></pre><p>Gets/sets the percentage by which to modify the scale of clones along the Z axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.splineLocalRotationMethod     Integer    default: 0   --  integer</code></pre><p>Gets/sets the Local Rotation method when the distribution method is spline, where:</p>\n\
<ul>\n\
<li>0 = All</li>\n\
<li>1 = Incremental</li>\n\
<li>2 = Alternating</li>\n\
<li>3 = Random Increment</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.splinePositionMethod     Integer    default: 0   --  integer</code></pre><p>Gets/sets the Position method when the distribution method is spline, where:</p>\n\
<ul>\n\
<li>0 = All</li>\n\
<li>1 = Incremental</li>\n\
<li>2 = Alternating</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.splineScaleMethod     Integer    default: 0   --  integer</code></pre><p>Gets/sets the Scale method when the distribution method is spline, where:</p>\n\
<ul>\n\
<li>0 = All</li>\n\
<li>1 = Incremental</li>\n\
<li>2 = Alternating</li>\n\
<li>3 = By Axis</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.worldRotationMethod     Integer    default: 0   --  integer</code></pre><p>Gets/sets the world rotation method where:</p>\n\
<ul>\n\
<li>0 = All</li>\n\
<li>1 = Incremental</li>\n\
<li>2 = By Axis</li>\n\
<li>3 = Incremental By Axis</li>\n\
<li>4 = Bend</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.worldRotationSeed     Integer    default: 12345   --  integer</code></pre><p>Gets/sets the random number seed for world rotation.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.worldRotationX     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the value by which to rotate the array&apos;s world orientation around the X axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.worldRotationY     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the value by which to rotate the array&apos;s world orientation around the Y axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.worldRotationZ     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the value by which to rotate the array&apos;s world orientation around the Z axis.</p>\n\
<h3 id=\"randomization-group\">Randomization Group</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.applyTo     Float    default: 100.0   --  animatable; float</code></pre><p>Gets/sets the percentage of clones that randomization is applied to.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.applyToSeed     Integer    default: 12345   --  integer</code></pre><p>Gets/sets the random seed for the <code>.applyTo</code> value.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.positionSeed     Integer    default: 12345   --  integer</code></pre><p>Gets/sets the Position value group randomization seed.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.randomizationPositionLink     BooleanClass    default: false   --  boolean</code></pre><p>Specifies whether to use the X parameter to control all three axes.  In the UI this parameter is represented as a link button.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.randomizationPositionX     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the maximum amount to randomly move clones along the X axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.randomizationPositionY     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the maximum amount to randomly move clones along the Y axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.randomizationPositionZ     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the maximum amount to randomly move clones along the Z axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.randomizationRotationLink     BooleanClass    default: false   --  boolean</code></pre><p>Specifies whether to use the X parameter to control all three axes.  In the UI this parameter is represented as a link button.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.randomizationRotationX     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the maximum amount to randomly rotate clones along the X axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.randomizationRotationY     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the maximum amount to randomly rotate clones along the Y axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.randomizationRotationZ     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the maximum amount to randomly rotate clones along the Z axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.randomizationScaleLink     BooleanClass    default: false   --  boolean</code></pre><p>Specifies whether to use the X parameter to control all three axes.  In the UI this parameter is represented as a link button.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.randomizationScaleX     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the maximum amount to randomly scale clones along the X axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.randomizationScaleY     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the maximum amount to randomly scale clones along the Y axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.randomizationScaleZ     Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the maximum amount to randomly scale clones along the Z axis.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.rotationSeed     Integer    default: 12345   --  integer</code></pre><p>Gets/sets the random seed for rotation.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.scaleSeed     Integer    default: 12345   --  integer</code></pre><p>Gets/sets the random seed for scale.</p>\n\
<h3 id=\"material-id-group\">Material ID Group</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.matIDFrom     Integer    default: 1   --  integer</code></pre><p>Gets/sets the minimum material ID to randomly apply to clones.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.matIDSeed     Integer    default: 12345   --  integer</code></pre><p>Gets/sets the seed value to use to generate random material IDs.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.matIDTo     Integer    default: 1   --  integer</code></pre><p>Gets/sets the maximum material ID to randomly apply to clones.</p>\n\
<h3 id=\"uv-group\">UV Group</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.uvAdditive     BooleanClass    default: true   --  boolean</code></pre><p>Specifies whether to add UVW values to existing UVW values from the source map.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.uvChannel     Integer    default: 1   --  integer</code></pre><p>Gets/sets the target UVW channel number.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.uvMethod     Integer    default: 0   --  integer</code></pre><p>Gets/sets the UV method, where:</p>\n\
<ul>\n\
<li>0 = Existing</li>\n\
<li>1 = Clone XYZ</li>\n\
<li>2 = Clone Number</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.uvNormalize     BooleanClass    default: true   --  boolean</code></pre><p>Specifies whether to normalize UVW values from 0.0 to 1.0.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.uvSource     Integer    default: 1   --  integer</code></pre><p>Gets/sets the source UVW map channel number when <code>.uvAdditive</code> is true.</p>\n\
<h3 id=\"remove-group\">Remove Group</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.cullObject     UndefinedClass    default: undefined   --  node</code></pre><p>Gets/sets a scene node to remove nodes/cull the result with.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.invertCull     BooleanClass    default: false   --  boolean</code></pre><p>Specify whether to invert the remove/cull operation.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.remove     Float    default: 0.0   --  float</code></pre><p>Gets/sets the percentage of clones to remove.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.removeSeed     Integer    default: 12345   --  integer</code></pre><p>Gets/sets the random number seed for random clone removal.</p>\n\
<h3 id=\"create-group\">Create Group</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;arraymodifier&gt;.useInstances     BooleanClass    default: true   --  boolean</code></pre><p>Specifies whether to create a new set of instances when the <strong>Create Objects</strong> button is clicked.</p>\n\
<!--\n\
#### Unknown:\n\
\n\
```\n\
<arraymodifier>.axialOffset     Float    default: 0.0   --  animatable; float\n\
```\n\
????\n\
\n\
\n\
```\n\
<arraymodifier>.lookAtBiasAmount     Float    default: 0.0   --  animatable; float\n\
```\n\
???\n\
```\n\
<arraymodifier>.lookAtObject     UndefinedClass    default: undefined   --  node\n\
```\n\
???\n\
\n\
\n\
```\n\
<arraymodifier>.projectionBiasAmount     Float    default: 0.0   --  animatable; float\n\
```\n\
??\n\
```\n\
<arraymodifier>.projectionOffsetAmount     Float    default: 0.0   --  animatable; float\n\
```\n\
??\n\
\n\
\n\
\n\
```\n\
<arraymodifier>.useSplineAxis     BooleanClass    default: false   --  boolean\n\
```\n\
\n\
???\n\
\n\
-->\n\
\n\
\n\
\n\
\n\
<h2 id=\"arraymodifier-interfaces-\">Arraymodifier interfaces:</h2><h3 id=\"interface-arraymod\">Interface: ArrayMod</h3><p>Properties:</p>\n\
<p>Methods:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;version()</code></pre><p>Returns the Array Modifier version number.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;clearCache()</code></pre><p>Clears the array modifier cache.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CreateObjects()</code></pre><p>Creates a new set of objects based on the clones in the array.</p>\n\
<p>Actions:</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Parametric-Modifiers.html\">Parametric Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";