var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B0D32F1C-97E1-4A57-808A-3913E77AA928\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Unwrap_UVW Modifier - Peel Mapping</h1></div><p>The following methods expose the Unfold3D and Least Squares Conformal Mapping (LSCM)-based <strong>Peel Mapping</strong> functionality to MAXScript.</p>\n\
<p><img src=\"./images/GUID-B734C09D-1EDC-451C-B0E8-6ACDFD0B24B4-low.bmp\" alt></p>\n\
<h2 id=\"unfold3d-mapping\">Unfold3D Mapping</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">  &lt;void&gt;&lt;Unwrap_UVW&gt;.Unfold3DSolve()</code></pre><p>Performs a Peel operation using the Unfold3D solver, based upon the currently specified map seams. In polygon subobject mode, new mapping coordinates are computed only for the selected polygons; in any other mode, mapping coordinates are recomputed over the entire mesh. The Unfold3D solver is generally more robust than the legacy LSCM solver available via the <code>LSCMSolve()</code> function, and typically yields superior results.</p>\n\
<p>Exposed via <code>unwrap8</code> interface in <strong>3ds Max 2022.2 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">  &lt;void&gt;&lt;Unwrap_UVW&gt;.Unfold3DOptimize()</code></pre><p>Relaxes the positions of the texture vertices in the interior of the current UV clusters, following the Unfold3D algorithm. In polygon subobject mode, relaxation is applied only to the texture vertices used by the selected polygons; in any other mode, relaxation is applied over the entire mesh.</p>\n\
<p>Exposed via <code>unwrap8</code> interface in <strong>3ds Max 2022.2 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">  &lt;void&gt;&lt;Unwrap_UVW&gt;.Unfold3DPack()</code></pre><p>Performs UV cluster packing in accordance with the currently-specified packing parameters, employing the Unfold3D packing algorithm. In polygon subobject mode, only the selected polygons are packed; in any other mode, relaxation is applied over the entire mesh. The Unfold3D packing algorithm is generally more efficient than the legacy approaches, and typically yields a more dense packing. Note that when Unfold3D is the currently selected packing method, the function <code>packNoParams()</code> is equivalent to calling this function.</p>\n\
<p>Exposed via <code>unwrap8</code> interface in <strong>3ds Max 2022.2 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">  &lt;void&gt;&lt;Unwrap_UVW&gt;.Unfold3DAutoseams()</code></pre><p>Eliminates any pre-existing map seams defined on the current mesh and generates a new set of seams, based upon the Unfold3D algorithm. The algorithm attempts to select seams in a manner which is optimal for a subsequent Unfold3D Peel operation. </p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> This functionality is presently accessible only via MaxScript.</p>\n\
\n\
</div></div>\n\
\n\
<p>Exposed via <code>unwrap8</code> interface in <strong>3ds Max 2022.2 Update and higher</strong>.</p>\n\
<h2 id=\"lscm-peel-mapping\">LSCM (Peel) Mapping</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.LSCMInteractive &lt;boolean&gt;useExistingMapping</code></pre><p>Enters interactive peeling mode. If the argument is true, the existing mapping will be used.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.LSCMSolve()</code></pre><p>Performs a Quick Peel.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.LSCMReset()</code></pre><p>Resets the results of the peeling.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<h2 id=\"pin-vertices\">Pin Vertices</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.autoPin BooleanClass default: true -- boolean</code></pre><p>Get/set the state of the &quot;Auto-Pin Moved Vertices&quot; icon.</p>\n\
<p>When set to true (default), selecting and moving a vertex will automatically set its pinned state.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\"> &lt;Unwrap_UVW&gt;.filterPin BooleanClass default: false -- boolean</code></pre><p>Get/set the state of the &quot;Select Pinned Vertices&quot;.</p>\n\
<p>When set to true, only pinned vertices can be selected, unpinned ones will be filtered out.</p>\n\
<p>When set to false (default), all vertices can be selected.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.PinSelected &lt;node&gt;node</code></pre><p>Pins down all selected map vertices in the specified node. Corresponds to the &quot;Pin Selected&quot; icon in the &quot;Peel&quot; rollout of the UVs Editor.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.UnpinSelected &lt;node&gt;node</code></pre><p>Unpins the selected map vertices in the specified node. Corresponds to the &quot;Unpin Selected&quot; icon in the &quot;Peel&quot; rollout of the UVs Editor.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.IsPinned &lt;index&gt;index &lt;node&gt;node</code></pre><p>Returns true if the indexed map vertex in the specified node is pinned, false if it is not pinned.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.Pin &lt;index&gt;index &lt;node&gt;node</code></pre><p>Pins down the indexed map vertex in the specified node.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.Unpin &lt;index&gt;index &lt;node&gt;node</code></pre><p>Unpins the indexed map vertex in the specified node.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";