var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-41D1A7F6-4AA9-4691-9EE3-F50D72505885\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The Legacy Scripting Editor Windows</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> This topic describes the Legacy Scripting Editor Windows used in versions prior to <strong>3ds Max 2008</strong>. Some areas of MAXScript in <strong>3ds Max 2008 and higher</strong> such as, Particle Flow Script Operators and the <code>newScript()</code> method still open instances of the Legacy Editors. For documentation of the new Scripting Editor, see <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">Scripting Editor Window</a>.</div>\n\
<p>You can create an empty Legacy Scripting Editor window from within the Listener or from other running scripts by calling the <code>newScript()</code> method.</p>\n\
<p>The syntax for the <code>newScript()</code> method is:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">newScript()</code></pre><p>Opens an empty Scripting Editor window and returns a <code>WindowStream</code> value that can be used as the target for print and format operations. This is useful for directing output to a separate window for ease of inspection or editing, or later saving to a file. Output to a <code>WindowStream</code> is inserted at the current cursor position in that window.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> In <strong>3ds Max 2008 and higher</strong>, the <code>newScript()</code> method still creates a Legacy Editor and not a new tab in the new Editor.</div>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">b=box()\n\
debug = newScript()\n\
-- ...\n\
print b to:debug\n\
-- ...\n\
format &quot;name is %\\n&quot; b.name t:debug\n\
</code></pre><h2 id=\"the-legacy-scripting-editor-window-has-the-following-features-\">The Legacy Scripting Editor window has the following features:</h2><ul>\n\
<li><p><strong>Titles that display only the current script&apos;s file name</strong>, rather than its full path name, so minimized Scripting Editor windows can be easily distinguished.</p>\n\
</li>\n\
<li><p><strong>A line selection margin at the left window border</strong>. When you move the cursor into the left margin, it changes to a right-pointing arrow. A single-click selects an entire line and click-dragging selects multiple lines.</p>\n\
</li>\n\
<li><p><strong>Drag-and-drop for moving and copying text</strong> to and from other Scripting Editor windows, the Listener window, or any other text editor window that supports Window&#x2019;s drag-and-drop. Simply dragging the text will move it. Holding down Ctrl while dragging will copy the text.</p>\n\
</li>\n\
<li><p><strong>Selected text is loaded automatically into the search text dialog field</strong> when you choose Search &gt; Find or Search &gt; Replace. This is useful for quickly finding other occurrences of the selected text.</p>\n\
</li>\n\
<li><p><strong>Selected text is loaded automatically into the Index field of this Online Reference</strong> - highlight a keyword in the Scripting Editor and press the F1 button to open the Online Reference and search for information on the selected keyword.</p>\n\
</li>\n\
<li><p><strong>Syntax Coloring</strong> - manual syntax coloring is supported. Additionally, in <strong>3ds Max 5 and higher</strong>, automatic syntax coloring will be performed when opening files and for the current line while typing in the Editor.</p>\n\
</li>\n\
<li><p><strong>Bracket Balancing</strong> - place the cursor next to a bracket and press Ctrl+B to select all the text between this bracket and its corresponding counterpart.</p>\n\
</li>\n\
<li><p><strong>Quick source code navigation</strong> - hold down the Ctrl key and right-click in the Scripting Editor to display a context menu listing all major building blocks of the currently loaded script including functions, rollouts, event handlers, UI elements, and more.</p>\n\
</li>\n\
<li><p><strong>Variable text size</strong> - hold down the Ctrl key and turn the mouse wheel (if available) to adjust the size of the source code text.</p>\n\
</li>\n\
</ul>\n\
<p>For commands used within the Scripting Editor window, see <a href=\"./../MAXScript-Tabbed-Editor-Commands.html\">Scripting Editor Commands</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Legacy-Editor-Windows.html\">Legacy Scripting Editor Windows</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";