var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-88912612-DDDC-4016-AD24-1180BB2DAD96\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>WindowStream Values</h1></div><p>The <strong>WindowStream</strong> class allows you to output strings to a script Editor window. This is useful for directing output to a separate window for ease of inspection, editing, or later saving to a file.</p>\n\
<h2 id=\"constructors\">Constructors</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">newScript()</code></pre><p>Opens an empty script Editor window and returns a WindowStream value.</p>\n\
<h2 id=\"properties\">Properties</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;WindowStream&gt;.hwnd</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\"\">NEW</a> <strong>in 3ds Max 2024:</strong>\n\
The windows handle for the WindowStream script window.  Read only.</p>\n\
<h2 id=\"associated-methods\">Associated Methods</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">print &lt;value&gt; to:&lt;windowstream&gt;</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">format &quot;&lt;fmt_string&gt;&quot; {values} to:&lt;windowstream&gt;</code></pre><p>Output to a WindowStream is inserted at the current cursor position in that window.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> When using the <code>format()</code> function with a WindowStream, a new line in the Editor window is not displayed until an end-of-line character (&quot; <code>\\\\n</code> &quot;) is output!</div>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">debug = newScript()\n\
...\n\
print $foo to:debug\n\
...\n\
format &quot;name is %\\n&quot; obj.name to:debug\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Stream-Values.html\">Stream Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";