var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B8B19805-E540-4791-BF46-8C31DFCECDA7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Bake Map Plug-ins</h1></div><p>Scripted Common Bake Map plug-ins extend the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/BakeToTexture-UtilityPlugin.html\"\"><code>BakeToTextureMap</code></a> and are owned by it.  These plug-ins provide a unified view of a bake element that from a users&apos;s point of view looks the same for all renderers.  The renderer-specific logic for each supported renderer is held in a companion <code>CommonBakeMapOperator</code>, which sets up the bake environment and specifies the actual bake element used.</p>\n\
<p>The default Common Bake Maps shipped with 3ds Max are located in <code>$startupScripts/BTT</code>, and they are a good place to look for examples of how to implement this type of plug-in.</p>\n\
<p>A scripted Common Bake Map plug-in is declared by specifying the <code>&lt;superclass&gt;</code> as <code>CommonBakeMap</code>.</p>\n\
<p>Common Bake Map plug-ins implement a special extended user interface, indicated by <code>extendedUi: true</code> in the rollout description.  This UI uses Qt instead of legacy Win32 as the underlying UI framework, and provides access to extended Qt widget properties and layouts.  See <a href=\"Scripted-Bake-Map-Plug-ins/BTT-Rollout-controls.html\"\">Bake To Texture Rollout Controls</a> for more information.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> The Extended UI is intended for use <em>only</em> with Common Bake Map plug-ins, and is not supported for any other type of rollout.</p>\n\
\n\
</div></div>\n\
\n\
<p>For an example see <a href=\"Scripted-Bake-Map-Plug-ins/BTT-Rollout-example.html\"\">Scripted Bake To Texture plug-in Example</a> </p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#commonbakemap-class\">CommonBakeMap Class</a></li>\n\
<li><a href=\"#commonbakemapoperator-class\">CommonBakeMapOperator Class</a><ul>\n\
<li><a href=\"#keywords\">Keywords</a></li>\n\
<li><a href=\"#properties\">Properties</a></li>\n\
<li><a href=\"#event-callbacks\">Event Callbacks</a></li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><a name=\"commonbakemap-class\"></a></p>\n\
<h2 id=\"commonbakemap-class\">CommonBakeMap Class</h2><p>The following optional keywords can be used in a <code>CommonBakeMap</code> declaration:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">tooltTip : string</code></pre><p>Defines a tooltip string to display when the mouse hovers over the bake map in the Bake To Texture treeview.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">useGamma : bool</code></pre><p>Indicates whether the common bake map should present gamma settings in its UI.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">backgroundColor : point3</code></pre><p>Specifies the default background color of the baked image.</p>\n\
<p><a name=\"commonbakemapoperator-class\"></a></p>\n\
<h2 id=\"commonbakemapoperator-class\">CommonBakeMapOperator Class</h2><p>The <code>CommonBakeMapOperator</code> plug-in class is a renderer-specific handler that initializes and de-initializes the bake environment for a map.</p>\n\
<p><a name=\"keywords\"></a></p>\n\
<h3 id=\"keywords\">Keywords</h3><p>The following are mandatory keywords in the <code>CommonBakeMapOperator</code> declaration:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">commonMapClassID : 2 element array</code></pre><p>The class ID of the CommonBakeMap to which this bake map operator belongs to.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">rendererClassID : 2 element array</code></pre><p>The renderer class ID for which this bake map operator does bake operations.</p>\n\
<p>The following is an optional keyword:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">bakeElementClassID : 2 element array</code></pre><p>The class ID of the bake element used in the baking process.  The bake element can be either be defined statically via keyword on the plugin description level,  or if the bake element is depended on by some operator internal logic it can also be provided dynamically via the <code>bakeElementClassID()</code> callback. This gets called before the baking process if no <code>bakeElementClassID</code> has been defined as a plugin class keyword.</p>\n\
<p><a name=\"properties\"></a></p>\n\
<h3 id=\"properties\">Properties</h3><p>The following properties are available on the <code>CommonBakeMapOperator</code> class:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">bttMap : BakeToTextureMap : Read only</code></pre><p>The bake to texture map to which this bake operator refers to. It gives you access to the general bake map interface, including its parameters.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">commonMap : MAXWrapperObject : Read only</code></pre><p>The common bake map to which this bake operator belongs to. The object reference gives you access to the parameters defined by the common bake map.</p>\n\
<p><a name=\"event-callbacks\"></a></p>\n\
<h3 id=\"event-callbacks\">Event Callbacks</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">preBake( bakeElem : BakeElementProperties) : void</code></pre><p>This callback is called right before the baking process begins.\n\
This can be used to do renderer- and map- specific setup of the baking environment.\n\
The parameter <code>bakeElement</code> is an instance of the bake element used for baking.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">postBake() : void</code></pre><p>This callback is called when the baking process is finished.\n\
This can be used to reset the changes made in the <code>preBake</code> callback.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">requireSceneChange() : bool</code></pre><p>Called from BTT before the baking to group the maps following their require scene change property. If the map returns true it will still be grouped with maps of same type with same parameters.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">bakeElementClassID() : 2 element array</code></pre><p>The class ID of the bake element which is used for the baking process.\n\
If no bake element has been defined via keyword on the plugin description level, then you must implement the dynamic callback <code>bakeElementClassID</code> . This gets called before the baking process so that Bake To Texture knows which bake element it should create.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Bake-Map-Plug-ins/BTT-Rollout-controls.html\">Bake To Texture Rollout Controls</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Bake-Map-Plug-ins/BTT-Rollout-example.html\">Scripted Bake To Texture plug-in Example</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Updating-Scripted-Plug-ins.html\">Updating Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Methods.html\">Scripted Plug-in Methods</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Clauses.html\">Scripted Plug-in Clauses</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";