var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"D52AFD02-8D87-48AE-A640-82C0664A38F9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Bake To Texture Rollout Controls</h1></div><p><code>CommonBakeMap</code> plug-ins define their own UI using MAXScript rollout definition syntax, which gets displayed in the Bake To Texture dialog, under Maps.  </p>\n\
<p>This UI uses Qt as the underlying display technology, and must be defined using the <code>extendedUI:true</code> keyword.  A sub-set of rollout controls are mapped to corresponding Qt widgets (listed below), no other controls should be used in a <code>CommonBakeMap</code> UI.  These controls have their standard properties, plus some specific properties mapped to Qt properties (listed below).  Properties on the Qt widget are also available, when they are of these basic types: Bool, Int, Float, Double, Size, SizeF, and String.  Signals of these types are also available, but need to be invoked using identically named MAXScript handlers.</p>\n\
<p>Standard auto mapped Qt widget properties like toolTip, visible, enabled are not covered by this documentation.\n\
For the full property description, refer to the <a href=\"https://doc.qt.io/qt-5/classes.html\" target=\"_blank\">Qt documentation</a>.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#controls\">Controls</a></li>\n\
<li><a href=\"#layouts\">Layouts</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><a name=\"controls\"></a></p>\n\
<h2 id=\"controls\">Controls</h2><p> <code>Button</code></p>\n\
<p>This control is mapped to <a href=\"https://doc.qt.io/qt-5/qpushbutton.html\" target=\"_blank\">QPushButton</a>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">text : string</code></pre><p>The text to display on the button.  </p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">iconName : string</code></pre><p>A 3ds Max built-in multi-resolution icon name to display on the button.  See the &quot;Icon Guide&quot; in the 3ds Max SDK Help for a list of available icons.</p>\n\
<p>Example:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">button myButton iconName:&quot;Common/Hand&quot;</code></pre><p><code>MapButton</code></p>\n\
<p>This control is mapped to <a href=\"https://doc.qt.io/qt-5/qpushbutton.html\" target=\"_blank\">QPushButton</a>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">map : TextureMap</code></pre><p>The texture map assigned to the button.</p>\n\
<p><code>MaterialButton</code></p>\n\
<p>This control is mapped to <a href=\"https://doc.qt.io/qt-5/qpushbutton.html\" target=\"_blank\">QPushButton</a>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">material : Material</code></pre><p>The material assigned to the button.</p>\n\
<p><code>CheckBox</code></p>\n\
<p>This control is mapped to <a href=\"https://doc.qt.io/qt-5/qcheckbox.html\" target=\"_blank\">QCheckBox</a></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">checked : bool</code></pre><p>Indicates if the checkbox is checked.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">iconName : string</code></pre><p>A 3ds Max built-in multi-resolution icon name to display on the button.  See the &quot;Icon Guide&quot; in the 3ds Max SDK Help for a list of available icons.</p>\n\
<p><code>DropDownList</code></p>\n\
<p>This control is mapped to <a href=\"https://doc.qt.io/qt-5/qcombobox.html\" target=\"_blank\">QComboBox</a>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">items : array of string</code></pre><p>The array of text strings that are the items displayed in the combobox list.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">text :  string</code></pre><p>The text in the edit box.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">selection : int</code></pre><p>The 1-based number of the currently selected item in the list. Defaults to 1.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">selected : string</code></pre><p>The text of the currently selected item. Can be used to replace individual items without resetting the entire items array. If the items list is an empty array, this value is undefined.</p>\n\
<p><code>Spinner</code></p>\n\
<p>This control is mapped to <a href=\"https://doc.qt.io/qt-5/qspinbox.html\" target=\"_blank\">QSpinBox</a>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">type: #float | #integer | #worldunits</code></pre><p>The type of the spinner, either float, integer or world units.\n\
The default is #float.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">value: float or integer</code></pre><p>The value of the spinner.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">scale : float</code></pre><p>The scale of the spinner specifies the smallest value increment. Defaults to 0.1 for floats, 1 for integers.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">range : point3</code></pre><p>A Point3 value containing the minimum, maximum, and initial values for the spinner in the x, y, and z components, respectively. Defaults to <code>[0,100,0]</code>.</p>\n\
<p><code>Label</code></p>\n\
<p>This control is mapped to <a href=\"https://doc.qt.io/qt-5/qlabel.html\" target=\"_blank\">QLabel</a>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">text : string</code></pre><p>The text of the label.</p>\n\
<p><a name=\"layouts\"></a></p>\n\
<h2 id=\"layouts\">Layouts</h2><p>Two Qt layouts are available for laying out controls in the Bake To Texture UI.</p>\n\
<p><code>GridLayout</code> </p>\n\
<p>The GridLayout positions UI controls in a grid of rows and columns.</p>\n\
<p>This layout maps to <a href=\"https://doc.qt.io/qt-5/qgridlayout.html\" target=\"_blank\">QGridLayout</a>.</p>\n\
<p>Layout data:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">rowStretch : array of int</code></pre><p>Sets the stretch factor for the rows as defined by the single array entries. Rows with a larger factor will receive more of the available layout space.\n\
The default stretch factor for all rows is 0, which means no stretching at all.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">columnStretch : array of int</code></pre><p>Sets the stretch factor for the columns as defined by the single array entries. Columns with a larger factor will receive more of the available layout space.\n\
The default stretch factor for all columns is 0, which means no stretching at all.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">spacing : int</code></pre><p>The spacing between UI controls that are positioned next to each other. If a vertical spacing is defined which is unequal to the horizontal spacing, the spacing value is -1.\n\
The value is dpi scaled.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">horzSpacing :  int</code></pre><p>The spacing between UI controls that are positioned side by side.\n\
The value is dpi scaled.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">vertSpacing : int</code></pre><p>The spacing between UI controls that are positioned on top of each other.\n\
The value is dpi scaled.</p>\n\
<p>Layout item data:</p>\n\
<p>The properties in this section need to be applied on a UI control that gets embedded in a GridLayout e.g. a <code>Button</code>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">row : int</code></pre><p>The row in which the UI control should be placed. This is a zero-based index.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">column : int</code></pre><p>The column in which the UI control should be placed. This is a zero-based index.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">rowSpan :  int</code></pre><p>The number of rows over which the UI control should span. The default is 1.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">columnSpan : int</code></pre><p>The number of columns over which the UI control should span. The default is 1.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">align : #left | #center | #right</code></pre><p>The horizontal alignment of the UI control in the grid cell.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">valign : #top | #center | #bottom</code></pre><p>The vertical alignment of the UI control in the grid cell.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">layoutParent: layout rollout control</code></pre><p>For nested layouts this defines the layout parent to which a UI control belongs.</p>\n\
<p><code>BoxLayout</code> </p>\n\
<p>The BoxLayout positions UI controls in a line depending on its orientation, which can be either horizontal or vertical.</p>\n\
<p>This layout is mapped to <a href=\"https://doc.qt.io/qt-5/qboxlayout.html\" target=\"_blank\">QBoxLayout</a>.</p>\n\
<p>Layout data:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">orientation: #vertical | #horizontal</code></pre><p>The layout direction of the UI controls handled by this layout.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">stretch : array of int</code></pre><p>Sets the stretch factor for the each layout slot as defined by the single array entries. Slots with a larger factor receive more of the available layout space.\n\
The default stretch factor for all slots is 0, which means no stretching at all.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">spacing : int</code></pre><p>The spacing between UI controls that are positioned next to each other.\n\
The value is dpi scaled.</p>\n\
<p>Layout item data:</p>\n\
<p>The properties in this section need to be applied on a UI control that gets embedded in a BoxLayout e.g. a <code>Button</code>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">stretch : int</code></pre><p>The stretch factor for the UI control in the box layout slot. Note, that stretch factors defined on the box layout itself will discard the individual setting on layout item.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">align : #left | #center | #right</code></pre><p>The horizontal alignment of the UI control in the box layout slot.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">valign : #top | #center | #bottom</code></pre><p>The vertical alignment of the UI control in the box layout slot.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">layoutParent: layout rollout control</code></pre><p>For nested layouts, this defines the layout parent to which a UI control belongs.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Bake-Map-Plug-ins.html\">Scripted Bake Map Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Scripted-Bake-Map-Plug-ins.html\">Scripted Bake Map Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"BTT-Rollout-example.html\">Scripted Bake To Texture plug-in Example</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";