var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"FC6293C4-F1B3-47FA-9AC4-DD97A365D4FD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Bake To Texture plug-in Example</h1></div><p>This example walks through the implementation of a bake map that bakes map channels to color. It includes a <code>CommonBakeMap</code> implementing the UI, and <code>CommonBakeMapOperator</code> classes for each target renderer, in this case one for Arnold and one for Scanline.</p>\n\
<h2 id=\"step-1-plug-in-shell\">Step 1: Plug-in Shell</h2><p>Let&apos;s start with the plug-in shell, showing all the required components without any implementation code.  This shell includes:</p>\n\
<ul>\n\
<li>A <code>CommonBakeMap</code> with:<ul>\n\
<li>a unique classID (as required by all scripted plug-ins)</li>\n\
<li>a name that appears in the Bake To Texture UI</li>\n\
<li>a tooltip (optional)</li>\n\
<li>a <code>useGamma</code> keyword to indicate that gamma is supported</li>\n\
<li>a specified <code>backgroundColor</code></li>\n\
</ul>\n\
</li>\n\
<li>Two <code>CommonBakeMapOperator</code> classes, one for scanline and one for Arnold, with:<ul>\n\
<li>a unique classID</li>\n\
<li>a <code>commonMapClassID</code> to indicate the parent CommonBakeMap </li>\n\
<li>a <code>rendererClassID</code> to indicate the target renderer</li>\n\
<li>a <code>bakeElementClassID</code> to indicate the bake element to use</li>\n\
<li>requireSceneChange event returns true to group this bake map with other similar maps</li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">------------------------------------------------------------\n\
-- Map Channel to Color\n\
------------------------------------------------------------\n\
\n\
plugin CommonBakeMap CommonMap_VertexChannelToColor\n\
classID: #(0x48197a0d, 0x457af41b)\n\
name: &quot;Map Channel to Color&quot;\n\
toolTip: &quot;Takes the given map channel and bakes it as RGB colors&quot;\n\
useGamma: true\n\
backgroundColor: [127,127,255]\n\
(\n\
    parameters main rollout:params\n\
    (\n\
\n\
    )\n\
\n\
    rollout params &quot;Map Channel to Color Parameters&quot; extendedUI:true\n\
    (\n\
\n\
\n\
        on params open do\n\
        (\n\
\n\
        )            \n\
    )\n\
\n\
\n\
)\n\
\n\
plugin CommonBakeMapOperator ArnoldVertexChannelToColorMap\n\
classID: #(0x3797144e, 0x54b1d638)\n\
commonMapClassID: CommonMap_VertexChannelToColor.classid\n\
rendererClassID: #(2980329694L, 2688902778L) --arnold.classid\n\
bakeElementClassID: #(1236154164, 1814527600) --Arnold Map Override\n\
\n\
(\n\
    on requireSceneChange do\n\
    (\n\
        return true\n\
    )\n\
\n\
    on preBake bakeElem do\n\
    (\n\
\n\
    )\n\
\n\
    on postBake do\n\
    (\n\
\n\
    )    \n\
)\n\
\n\
plugin CommonBakeMapOperator ScanlineVertexChannelToColorMap\n\
classID: #(0x2434dfdb, 0x666fbb3d)\n\
commonMapClassID: CommonMap_VertexChannelToColor.classid\n\
rendererClassID: #(1, 0) --Scanline.classid\n\
bakeElementClassID: #(1177994923, -560576801) --Map Override\n\
\n\
(\n\
    on requireSceneChange do\n\
    (\n\
        return true\n\
    )\n\
\n\
    on preBake bakeElem do\n\
    (\n\
\n\
\n\
    )\n\
\n\
\n\
    on postBake do\n\
    (\n\
\n\
\n\
    )    \n\
)\n\
</code></pre><h2 id=\"step-2-create-the-params-and-ui\">Step 2: Create the Params and UI</h2><p>Next we define two parameters, which hold the channel and subchannel to bake:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    parameters main rollout:params\n\
    (\n\
        VertexChannel type:#integer default:0 ui:VertexChannelCombo\n\
        subChannel type:#integer default:0 ui:subChannelCombo\n\
    )</code></pre><p>Next, we define the UI for the common map, which consists of a grid layout for the controls, and two combo boxes mapped to the channel and subchannel parameters defined above:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    rollout params &quot;Map Channel to Color Parameters&quot; extendedUI:true\n\
    (\n\
\n\
        GridLayout grdLayout columnStretch:#(0,0,1,0,0,1) /* &lt;- add spacer between the cols*/ horzSpacing:6\n\
\n\
        dropdownlist  VertexChannelCombo &quot;Map Channel&quot; row:0 column:0 items:#()\n\
        dropdownlist  subChannelCombo &quot;Sub Channels&quot; row:0 column:3 items:#(&quot;All&quot;, &quot;Red&quot;, &quot;Green&quot;, &quot;Blue&quot;)\n\
\n\
    ...</code></pre><h2 id=\"step-3-populate-channel-data\">Step 3: Populate Channel Data</h2><p>When the map UI is opened, we want to populate the channel and subchannel lists with data from the scene, so the user can choose from the available vertex channels.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">        on params open do\n\
        (\n\
            -- build the list of non empty channels\n\
            ValidVertexChannels = #()\n\
\n\
            if ((meshop.getNumMaps bttMap.sceneObject.mesh) &gt; 1) then\n\
            (\n\
\n\
                for a = 1 to ((meshop.getNumMaps bttMap.sceneObject.mesh)-1) do\n\
                (\n\
                    append ValidVertexChannels (a as string) \n\
                )\n\
\n\
                VertexChannelCombo.items = ValidVertexChannels\n\
            ) else\n\
            (\n\
                VertexChannelCombo.items = &quot;None Available&quot;\n\
            )\n\
        )    </code></pre><h2 id=\"step-3-add-render-logic\">Step 3: Add Render Logic</h2><p>All of the baking setup and teardown happens in the <code>CommonBakeMapOperator</code> classes, since this varies depends on what renderer is used.  In our example, we will implement both a scanline and an Arnold operator class.</p>\n\
<p>Scanline:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    on preBake bakeElem do\n\
    (\n\
\n\
        initialMaterial = bttmap.sceneObject.material\n\
\n\
        v = VertexColor()\n\
        v.map = (bttmap.getOptionValue(1)+1)\n\
        v.subid = bttmap.getOptionValue(2)\n\
\n\
        --set the value on the bake element\n\
        bakeElem.setParamFPValue 1 v\n\
\n\
        m = MetaSLProxyMaterial()   -- This material is needed for the baking of a specific map\n\
        m.shader = v -- Set the map as the parameter\n\
        bttmap.sceneObject.material = m -- Now temporarily override the material of the node    \n\
\n\
    )\n\
\n\
\n\
    on postBake do\n\
    (\n\
\n\
\n\
        --restore the original material of the object\n\
        bttMap.sceneObject.material = initialMaterial\n\
\n\
    )    </code></pre><p>Arnold:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    on preBake bakeElem do\n\
    (\n\
\n\
        v = VertexColor()\n\
        v.map = (bttmap.getOptionValue(1)+1)\n\
        v.subid = bttmap.getOptionValue(2)\n\
\n\
        --set the value on the bake element\n\
        bakeElem.setParamFPValue 1 v                    \n\
    )</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Bake-Map-Plug-ins.html\">Scripted Bake Map Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Scripted-Bake-Map-Plug-ins.html\">Scripted Bake Map Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"BTT-Rollout-controls.html\">Bake To Texture Rollout Controls</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";