var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"What-s-New-in-MAXScript-in-3ds\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What&#39;s New in MAXScript in 3ds Max 2024</h1></div><p>This topic will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2024</strong> and updates. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> New additions to MAXScript in <strong>3ds Max 2024</strong> are marked with <img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\"\"\">NEW</a> <strong>in 3ds Max 2024:...</strong> throughout the MAXScript Reference. The word <a href=\"What-s-New-in-MAXScript-in-3ds.html\"\"\">NEW</a> links back to this page.</p>\n\
\n\
</div></div>\n\
\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2024\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt>New in MAXScript in 3ds Max 2024</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>Color Management Changes</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>Color Pipeline Manager Interface</td>\n\
<td>The new <a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-ColorPipelineMgr.html\"\"><code>ColorPipelineMgr</code></a> interface exposes properties and methods for the new OCIO color management feature, as well as legacy gamma mode color management.</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDisplayGamma</code></td>\n\
<td>This interface is now deprecated, the new <a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-ColorPipelineMgr.html\"\"><code>ColorPipelineMgr</code></a> interface should be used instead.  These properties are removed from the <code>IDisplayGamma</code> interface: <code>LUTFileName</code>, <code>affectColorPickers</code>, and <code>affectMEdit</code>.  The <code>#LUT</code> enum is removed from <code>colorCorrectionPrefMode</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>Pass-through modifier object type</td>\n\
<td>The <a href=\"./../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/EmptyModifier-Modifier.html\"\"><code>EmptyModifier</code></a> no longer converts the incoming object to a mesh on the stack.</td>\n\
</tr>\n\
<tr>\n\
<td>Bitmap values</td>\n\
<td>The Bitmap object has several new read-only attributes added as part of the new Color Management support, and the <code>openBitmap()</code> method has a new optional <code>colorSpace:</code> keyword parameter.  There is are also new <code>validateColorSpace()</code>  and <code>SetOutputColorConversion()</code> methods for bitmaps.</td>\n\
</tr>\n\
<tr>\n\
<td>Material Switcher</td>\n\
<td>The new <a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/Material_Switcher.html\"\"><code>Material_Switcher</code></a> class exposes the functionality of the new Material Switcher.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Compound Material Nodes</strong></td>\n\
<td>The Slate Material Editor now supports compound nodes to collect and organize complex shader graphs.  This feature is exposed to MAXScript with the <a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/Compound.html\"\"><code>Compound</code></a>, <a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/CompoundIO.html\"\"><code>CompoundIO</code></a>, <a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/CompoundMember.html\"\"><code>CompoundMember</code></a> and <a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/CompoundIndexedConnection.html\"\"><code>CompoundIndexedConnection</code></a> interfaces, as well as new methods in the <a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\"\">SME NodeView</a> interface: <code>PackageNodesIntoCompound()</code>, <code>PackageSelectionIntoCompound()</code>, <code>UnpackageCompound()</code> and <code>EditCompound()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Other Changes</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>SME Compound Node</td>\n\
<td>The Slate Material Editor jas a new <a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/Compound.html\"\"><code>Compound</code></a> node that allows you to combine complex shader graphs into a single node object.</td>\n\
</tr>\n\
<tr>\n\
<td>Display Editor Setting</td>\n\
<td>You can now specify whether to display a running script that encounters an error in the Scripting Editor.  This setting is exposed as <a href=\"./../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"\"><code>preferences.displayScriptEditorOnError</code></a> and <a href=\"GUID-0020B2D6-7108-49AA-8013-4027A954167F.html\"><code>scriptEditor.displayOnError</code></a>, and on the Preferences &gt; MAXScript dialog as <strong>Display Editor On Error</strong>. <br>The new <a href=\"GUID-0020B2D6-7108-49AA-8013-4027A954167F.html\"><code>scriptEditor</code></a> struct exposes two other properties: <code>hwnd</code> and <code>isVisible</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>Controller Removal</td>\n\
<td>Now you can easily remove a property controller by setting the controller value to <code>undefined</code> using setPropertyController() or setting the <code>&lt;object&gt;.&lt;property&gt;.&lt;controller&gt;</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>Display Warning Settings</td>\n\
<td>Two settings for displaying warnings are now exposed as <a href=\"./../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"\">system globals</a>: <code>preferences.displayTopoMessage</code> and <code>preferences.displayCollapseMessage</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>WindowStream Handle</td>\n\
<td>The <code>&lt;WindowStream&gt;</code> value has a new property <code>.hwnd</code>, which contains the windows handle for its associated Script Editor window.</td>\n\
</tr>\n\
<tr>\n\
<td>New Windows Functions</td>\n\
<td>The <a href=\"./../Interaction-With-The-Operating/Windows-Structure.html\"\"><code>windows struct</code></a> has several new functions: <code>windows.isWindow()</code>, <code>windows.isWindowVisible()</code>,<code>windows.showWindow()</code>, <code>windows.getWindowPlacement()</code>, <code>windows.setWindowPlacement()</code>, <code>windows.setFocus()</code>, <code>windows.setForegroundWindow()</code>, <code>windows.getWindowLong()</code>, and <code>windows.setWindowLong()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>Windows Functions Parameters</td>\n\
<td>All <a href=\"./../Interaction-With-The-Operating/Windows-Structure.html\"\"><code>windows struct</code></a> functions that take a HWND argument for the window to operate on now can take a RolloutFloater, Rollout, or the main 3ds Max window (specified by the name <code>#max</code>), making it easier to operate on these types of windows without having to query their window handle first.</td>\n\
</tr>\n\
<tr>\n\
<td>Disable error tracebacks</td>\n\
<td>The new <code>errTracebackDisabled</code> <a href=\"./../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"#e\">system global</a> specifies whether to disable error tracebacks in the listener window.  Intended for testing / internal use only.</td>\n\
</tr>\n\
<tr>\n\
<td>Disable / enable change handlers</td>\n\
<td>The <a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\"\"><code>&lt;ChangeHandler&gt;</code></a> value has a new <code>.enabled</code> property that allows you specify whether the handler is enabled.  This allows you to disable handlers without having to de-register or delete them.</td>\n\
</tr>\n\
<tr>\n\
<td>Spinner UI Control Properties</td>\n\
<td>The spinner UI control has a new property <code>autoscale:&lt;boolean&gt;</code>, and these existing creation keyword parameters are now exposed as properties that can be accessed at runtime: <code>scale</code> and <code>type</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>Assert Functions</td>\n\
<td>Two new <a href=\"./../MAXScript-Introduction/The-MAXScript-Debugger/Assert-Functions.html\"\">Assert Functions</a> have been added: <code>assert_eulerAngles_equal()</code> and <code>assert_matrix_equal()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Make Preview</strong> Dialog</td>\n\
<td>Some missing parameters from the <strong>Make Preview</strong> dialog are now exposed to the <a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\"\"><code>createPreview()</code></a> method: <code>dspCamViewName</code>, <code>autoPlay</code>, <code>vpPreset</code>, <code>vpStyle</code>, and <code>vpEdgedFaces</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>XRef Improvements</td>\n\
<td>The <a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\"\"><code>objXRefMgr.AddXRefItemsFromFile()</code></a> method now takes a new keyword parameter <code>objHandles</code> which allows you to specify an array of node handles to merge.  The <code>xrefOptions</code> parameter has a new option <code>#mergeChildren</code>, which allows you to specify whether or not to merge the children of specified objects.<br> The same options are also available in <a href=\"./../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\"\"><code>mergeMaxFile()</code></a> : <code>#mergeChildren</code> option and <code>mergeByHandles</code> parameter.</td>\n\
</tr>\n\
<tr>\n\
<td>Viewport</td>\n\
<td>The <a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"\"><code>FixedViewportPipeline</code></a> interface has two new methods: <code>SetViewportShadingFragment()</code> and <code>RestoreDefaultShadingFragment()</code>.  The <code>SetShadingFragment()</code> method is now deprecated.  <br>The <code>NitrousGraphicsManager</code> interface has two new methods: <code>SetDefaultViewShadeFragment()</code> and <code>ResetDefaultViewShadeFragment()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>Scripted Plug-ins</td>\n\
<td><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\"\">Scripted plug-ins</a> have two new event handlers for when they are added or removed as custom attributes on objects: <code>on refAdded</code> and <code>on refDeleted</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>File Information</td>\n\
<td>The new <a href=\"./../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\"\"><code>getMaxFileObjects()</code></a> function is similar to the existing <code>getMaxFileObjectNames()</code>, but returns an array of node information including node handles.</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-is-New-in-MAXScript.html\">What is New in MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";